Register FPP Server
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers
Registers FPP server with Enterprise Manager along with necessary details required for performing database maintenance
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectInput to register the FPP server
Show Source
-
name(required): string
FPP server target name
-
properties(required): object
properties
FPP server properties to be registered
-
restUser(required):
CreateRestUserDetails
Details of REST user
-
schedule: object
Schedule
Defining time schedule
Nested Schema : properties
Type:
objectFPP server properties to be registered
Show Source
-
agentCredential(required): string
Named credential of the agent - CREDENTIAL:OWNER, where OWNER is optionalExample:
NC_DEV:ADMIN, NC_DEV -
restUrl(required): string
REST url to be registered with the FPP serverExample:
https://xyz.com:portnumber/em/api/fppServers
Nested Schema : CreateRestUserDetails
Type:
objectDetails of REST user
Show Source
-
password(required): string
(password)
Password to create the REST credential in EM, which is required to make a call to the FPP REST URLExample:
welcome1 -
username(required): string
REST username to be registered with the FPP server
Nested Schema : Schedule
Type:
objectDefining time schedule
Show Source
-
isTargetZoneUsed: boolean
To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR conditionExample:
true -
recurring: string
Frequency at which the operation must be executed repeatedlyExample:
Weekly -
scheduleType: string
Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
-
startGracePeriodInMinutes: number
Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.Example:
60 -
timeToEnd: string
end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-02 22:00:13 -
timeToStart: string
start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-01 21:23:03
Examples
Back to Top
Response
201 Response
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message